function fxDTSBrick::getSurroundingBaseplateCount(%brick)
{
	%hitCount = 0;
	
	echo("Inital count:" SPC %hitCount);

	%sizex = %brick.getDatablock().bricksizex;

	echo("Size X:" SPC %sizex);
	
	%sizey = %brick.getDatablock().bricksizey;

	echo("Size Y:" SPC %sizey);
	
	%startPos = posFromTransform(%brick.getTransform());

	echo("Start Position:" SPC %startPos);	

	%lengthy = ((%sizey / 2) / 2) + 0.1;

	echo("Length Y:" SPC %lengthy);
	
	%lengthx = ((%sizex / 2) / 2) + 0.1;

	echo("Length X:" SPC %lengthx);

	//Y+
	%endPos = vectorAdd(%startPos,"0" SPC %lengthy SPC "0");

	echo(%endPos);	

	%object = firstWord(containerRaycast(%startPos,%endPos,$TypeMasks::FxBrickAlwaysObjectType,%brick));
	
	echo(%object);

	if(isObject(%object))
	{
		%hitCount++;
	}
	//Y-
	%endPos = vectorSub(%startPos,"0" SPC %lengthy SPC "0");

	echo(%endPos);

	%object = firstWord(containerRaycast(%startPos,%endPos,$TypeMasks::FxBrickAlwaysObjectType,%brick));

	echo(%object);

	if(isObject(%object))
	{
		%hitCount++;
	}
	//X+
	%endPos = vectorAdd(%startPos,%lengthx SPC "0 0");

	echo(%endPos);

	%object = firstWord(containerRaycast(%startPos,%endPos,$TypeMasks::FxBrickAlwaysObjectType,%brick));

	echo(%object);

	if(isObject(%object))
	{
		%hitCount++;
	}
	//X-
	%endPos = vectorSub(%startPos,%lengthx SPC "0 0");

	echo(%endPos);
	
	%object = firstWord(containerRaycast(%startPos,%endPos,$TypeMasks::FxBrickAlwaysObjectType,%brick));

	echo(%object);	

	if(isObject(%object))
	{
		%hitCount++;
	}

	echo("Final Count:" SPC %hitCount);

	
	return %hitCount;
}
